> ## Documentation Index
> Fetch the complete documentation index at: https://documents.trocco.io/llms.txt
> Use this file to discover all available pages before exploring further.
# dbtジョブ設定一覧取得
> dbtジョブ設定の一覧を取得します。
## OpenAPI
````json GET /api/dbt_job_definitions
{
"openapi": "3.0.3",
"info": {
"title": "trocco APIリファレンス",
"description": "trocco APIリファレンス",
"version": "0.0.1"
},
"servers": [
{
"url": "https://trocco.io"
}
],
"security": [
{
"ApiKeyAuth": []
}
],
"tags": [
{
"name": "users",
"description": "ユーザー",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-account-user"
}
},
{
"name": "teams",
"description": "チーム",
"externalDocs": {
"url": "https://documents.trocco.io/docs/team"
}
},
{
"name": "connections",
"description": "接続情報",
"externalDocs": {
"url": "https://documents.trocco.io/docs/connection-configurations"
}
},
{
"name": "custom_connectors",
"description": "カスタムコネクタ定義"
},
{
"name": "datamart_definitions",
"description": "データマート定義",
"externalDocs": {
"url": "https://documents.trocco.io/docs/data-mart"
}
},
{
"name": "environment_groups",
"description": "環境グループ"
},
{
"name": "environments",
"description": "環境"
},
{
"name": "jobs",
"description": "転送ジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/etl-configuration"
}
},
{
"name": "pipeline_jobs",
"description": "ワークフロージョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-workflow"
}
},
{
"name": "resource_groups",
"description": "リソースグループ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/resource-group"
}
},
{
"name": "dbt_git_repositories",
"description": "dbt Gitリポジトリ"
},
{
"name": "dbt_job_definitions",
"description": "dbtジョブ設定",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "dbt_jobs",
"description": "dbtジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "notification_destinations",
"description": "通知先",
"externalDocs": {
"url": "https://documents.trocco.io/docs/trocco-tutorial-additional-settings"
}
}
],
"externalDocs": {
"description": "trocco APIについて",
"url": "https://documents.trocco.io/docs/trocco-api"
},
"paths": {
"/api/dbt_job_definitions": {
"get": {
"summary": "dbtジョブ設定一覧取得",
"description": "dbtジョブ設定の一覧を取得します。",
"operationId": "getDbtJobDefinitions",
"tags": [
"dbt_job_definitions"
],
"parameters": [
{
"name": "limit",
"description": "取得するdbtジョブ設定の最大件数",
"in": "query",
"schema": {
"type": "integer",
"format": "int64",
"default": 50,
"maximum": 200
}
},
{
"name": "cursor",
"description": "取得するdbtジョブ設定一覧の最初のレコードを示すページネーションカーソル
\nレスポンスに含まれる`next_cursor`をセットすると、後続のdbtジョブ設定一覧を取得できます。\n",
"in": "query",
"schema": {
"type": "string"
},
"example": "eyJpZCI6MjF9"
}
],
"responses": {
"200": {
"description": "dbtジョブ設定の一覧を返します。",
"content": {
"application/json": {
"schema": {
"allOf": [
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"title": "DbtJobDefinitionListItem",
"type": "object",
"properties": {
"id": {
"description": "dbtジョブ設定ID",
"type": "integer",
"format": "int64",
"example": 1
},
"name": {
"description": "dbtジョブ設定名",
"type": "string",
"maxLength": 255,
"example": "sample_dbt_job"
},
"description": {
"description": "メモ",
"type": "string",
"nullable": true,
"example": "サンプルジョブ"
},
"resource_group_id": {
"description": "リソースグループID",
"type": "integer",
"format": "int64",
"nullable": true,
"example": 1
},
"adapter_type": {
"description": "アダプタータイプ",
"type": "string",
"enum": [
"bigquery",
"snowflake",
"redshift"
],
"example": "bigquery"
},
"dbt_git_repository_id": {
"description": "dbt GitリポジトリID",
"type": "integer",
"format": "int64",
"nullable": true,
"example": 1
},
"threads": {
"description": "並列実行スレッド数",
"type": "integer",
"minimum": 1,
"maximum": 16,
"example": 1
},
"target": {
"description": "dbt profileのtarget名",
"type": "string",
"example": "trocco_default"
},
"created_at": {
"description": "作成日時",
"type": "string",
"example": "2026-05-19T18:00:00+00:00"
},
"updated_at": {
"description": "更新日時",
"type": "string",
"example": "2026-05-19T18:00:00+00:00"
},
"created_by": {
"description": "作成ユーザー",
"type": "object",
"nullable": true,
"properties": {
"id": {
"description": "ユーザーID",
"type": "integer",
"format": "int64",
"example": 1
},
"email": {
"description": "メールアドレス",
"type": "string",
"example": "user@example.com"
}
}
}
},
"required": [
"id",
"name",
"adapter_type",
"threads",
"target",
"created_at",
"updated_at"
]
}
}
},
"required": [
"items"
]
},
{
"title": "Pagination",
"type": "object",
"properties": {
"next_cursor": {
"description": "後続のページネーションリクエストの取得開始レコードを示すカーソル値です。",
"type": "string"
}
}
}
]
}
}
}
},
"400": {
"description": "/api系の共通エラーレスポンス",
"content": {
"application/json": {
"schema": {
"title": "ApiErrorResponse",
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "不正なリクエストです。"
},
"errors": {
"type": "array",
"description": "400エラー時のみ含まれる。エラーの詳細。",
"items": {
"type": "object",
"properties": {
"attribute": {
"type": "string",
"description": "属性名"
},
"message": {
"type": "string",
"description": "エラーメッセージ"
}
}
}
}
}
}
}
}
},
"401": {
"description": "認証エラー",
"content": {
"application/json": {
"schema": {
"title": "ErrorResponse401",
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "アカウント登録もしくはログインしてください。"
}
}
}
}
}
}
}
}
}
},
"components": {
"securitySchemes": {
"ApiKeyAuth": {
"type": "apiKey",
"in": "header",
"name": "Authorization",
"description": "認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
\nAPI KEYがabc123の場合は、Authorization: Token abc123とします。
\nAPI KEYの作成方法は、TROCCO API KEYの作成を参照ください。\n"
}
}
}
}
````